/*
 Theme Name: Poem Renovations
 Theme URI: https://peraltadesign.com
 Version: 1.0
 Descrciption: No rules, just create!
 Author: Peralta Design
 Author URI: https://peraltadesign.com
 Template: Divi
 License: GNU General Public License v2
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/

.et_pb_module .et_pb_post .et_pb_image_container img {
  height: 250px;
  /* Adjust as needed */
  object-fit: cover;
}

.eye_reveal {
  display: block;
  position: absolute;
  width: 40px !important;
  height: 40px !important;
  vertical-align: middle;
  top: 0px;
  right: 0px;
  z-index: 1000;
  cursor: pointer;
  background-color: #1077b5;
}

.eye_reveal img {
  vertical-align: middle;
  height: 100%;
  width: 24px;
  margin: 0em auto;
  display: block;
}

.popup-mobile {
  width: 80% !important;
}

.divi-area-todays-passage .popup-mobile {
  width: 50% !important;
}

.king-addons-auto-scrolling-text {
  word-wrap: normal;
  word-break: break-word;
  white-space: nowrap;
}

.king-addons-auto-scrolling-text .king-addons-auto-scrolling-text-inner * {
  margin: 0;
  padding: 0;
  word-wrap: normal;
  word-break: keep-all;
}

.king-addons-auto-scrolling-text-gradient .king-addons-auto-scrolling-text-inner {
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
}

.king-addons-auto-scrolling-text img {
  display: inline-block;
}

.king-addons-auto-scrolling-text-underline-gradient .king-addons-auto-scrolling-text-inner {
  position: relative;
  transition: all 0.25s ease-in;
}

.king-addons-auto-scrolling-text {
  width: auto;
  display: inline-block;
}

.king-addons-auto-scrolling-text-items {
  overflow: hidden;
  white-space: nowrap;
  box-sizing: border-box;
  position: relative;
}

.king-addons-auto-scrolling-text-wrapper {
  display: inline-block;
  white-space: nowrap;
  animation: king-addons-auto-scrolling-animation 20s linear infinite;
}

@keyframes king-addons-auto-scrolling-animation {
  0% {
    transform: translateX(175%);
  }

  50% {
    transform: translateX(0%);
  }

  100% {
    transform: translateX(-100%);
  }
}

.king-addons-auto-scrolling-text-inner {
  margin-right: 1em !important;
}

#copyright {
  display: block;
}

#footer-info {
  margin: 0em auto;
  float: none;
  display: block;
  text-align: center;
}

#footer-info a {
  color: #ffffff;
  margin: 0em auto;
  float: none;
  display: inline-block;
  text-align: center;
}


.et_pb_menu--style-left_aligned.et_pb_text_align_center .et_pb_menu__menu>nav>ul,
.et_pb_menu--style-left_aligned.et_pb_text_align_center .et_pb_menu__wrap {
  justify-content: left !important;
}

.nf-form-fields-required {
  display: none !important;
}

.nowrap {
  white-space: nowrap !important;
}

#annotation {
  vertical-align: middle;
  display: none;
  position: absolute;
  bottom: 10px;
  left: 10px;
}

#annotation img {
  display: block;
  width: 250px;
}

#annotation h2,
#annotation h6 {
  font-size: 1em;
  color: #333;
  margin-top: 0.5em;
  font-weight: bold;
}

#clipboardalert {
  position: fixed;
  top: 0;
  z-index: 99999;
  text-align: center;
  transition: all .5s ease-out;
}

#clipboardalert.visible {
  visibility: visible;
  opacity: 1;
}

#clipboardalert.hidden {
  visibility: hidden;
  opacity: 0;
}

#logout-block {
  margin-top: 1em;
}

.block {
  display: block;
}

.margin-top-1em {
  margin-top: 0.5em !important;
}

.margin-bottom-1em {
  margin-bottom: 0.5em !important;
}

body a.small-button.mobile {
  display: none !important;
}

.highlight {
  margin: 0;
  padding: 0;
  word-wrap: normal;
  word-break: keep-all;
  font-family: "Courier Prime", Sans-serif;
  font-size: 64px;
  font-weight: 500;
  line-height: 1.25em;
  letter-spacing: -0.5px;
  padding: 1px 10px !important;
  color: #000000;
}

.highlight.light-blue {
  background-color: #D9F0FA;

}

.highlight.blue {
  background-color: #75CFE2;

}

.highlight.yellow {
  background-color: #FBFAC6;

}

.highlight.grey-blue {
  background-color: #C8DBDE;
}

.inter {
  font-family: "Inter", sans-serif;
}

.hero-heading {
  text-align: left;
  font-size: 54px;
  font-weight: 800;
  line-height: 1.1em;
  letter-spacing: -0.6px;
  color: #000000;
  display: block;
}

body a.small-button,
body .small-button {
  font-family: "Courier Prime", Sans-serif;
  font-size: 23px !important;
  font-weight: 500 !important;
  padding: 12px 24px !important;
  border-radius: 0px !important;
  border: none !important;
  background-color: #5bc0de !important;
  color: #FFFFFF !important;
  text-decoration: none !important;
  display: inline-block !important;
  transition: background-color 0.3s ease !important;
  text-shadow: none !important;
  cursor: pointer !important;
}

body a.small-button:hover,
body .small-button:hover {
  background-color: #010102 !important;
  color: #FFFFFF !important;
}

body a.smallblue,
body .smallblue {
  color: #000000 !important;
  background: #5bc0de !important;
}

body a.smalldarkblue,
body .smalldarkblue {
  color: #FFFFFF !important;
  background: #1077b5 !important;
}


.default_button_styles {
  display: block;
  width: 100%;
  text-align: center;
}

.et_pb_button_module_wrapper:has(.default_button_styles) {
  display: flex;
  flex-direction: column;
  /* Stacks children vertically */
  justify-content: flex-end;
}

.flex_column {
  justify-content: space-between;
  display: flex;
  flex-direction: column;
}

.overlay-text {
  font-size: 20px;
  /* text-shadow: 2px 2px 4px #000000; */
  color: #000000 !important;
}

#poem_dashboard {
  margin-top: 1em;
}

.overlay {
  display: block;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.35);
  transition: opacity 0.3s ease;
  padding: 5em 0em;
}

#word_bank_list {
  margin: 1em 0em;
  display: grid;
  /* grid-gap: 15px; */
  grid-template-columns: 1fr;
  background-color: #FFFFFF;
  border: 1px solid rgba(0, 0, 0, .2);
  border-radius: .3rem;
}

.word_bank_item {
  font-family: 'Special Elite', cursive;
  font-size: 1.25em;
  /* padding: 0.5em 1em;
   margin: 1em 0.25em; */

  user-select: none;
  position: relative;

  /*background-color: #f7f7f8 !important;
  color: #FFF !important;
  border-radius: 8px;
   box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px; */
  padding: 1em;
  margin: 0em;
  background-color: #f7f7f8;

  &:nth-child(odd) {
    background-color: rgb(251, 250, 198);
  }

  &:nth-child(even) {
    background-color: #ffffff;
  }

  display: grid;
  grid-template-columns: 3fr 1fr;
}

.custom-links {
  place-self: center;
}

.word_bank_item a {
  color: #333 !important;
  padding-bottom: 0em !important;
}

.word_bank_item p {
  color: #333 !important;
  letter-spacing: 2px;
  padding-bottom: 0em !important;
  font-weight: bold;
}

body .update-custom-wb,
body .edit-custom-wb,
body .delete-custom-wb,
body .delete-saved-wb,
body .play-custom-wb {
  font-family: "inter", sans-serif;
  color: rgb(16, 119, 181) !important;
  /* margin-top: 1.5em; */
  display: inline-block;
}

/* This forces iOS to treat the style bar as an interactive zone */
#style_bar,
#style_bar input,
#style_bar label {
  cursor: pointer;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}


.dashboard_button {
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  text-align: center;
  padding: 0em;
  font-size: 1.25em;
  color: #FFF;
  font-weight: bold;
  cursor: pointer;
  transition: all 0.25s;
  transform: translate(0px, -10px);
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  border-radius: 8px;
  overflow: hidden;
  height: 100%;
}

.dashboard_button a {
  color: #FFF;
}

.dashboard_button:active {
  box-shadow: none !important;
  transform: translate(0px, 0px);
}


.dashboard_button_background {
  display: block;
  width: 100%;
  height: 100%;
  transition: opacity 0.3s ease;
  padding: 5em 0em;
}

.dashboard_button_background.light-blue {
  background-color: rgba(217, 240, 250, 1);
}

.dashboard_button_background.yellow {
  background-color: rgba(251, 250, 198, 1);
}

.dashboard_button_background.blue {
  background-color: rgba(117, 207, 226, 1);
}

.speech-bubble {
  --arrow-w: 0.5em;
  --arrow-h: 1em;
  --bubble-corners: 0;
  --w: 50%;
  --border-size: 2px;
  --text-color: black;
  --bubble-color: white;
  --border-color: black;
}

.speech-bubble {
  text-align: center;
  font-size: 20px;
  color: var(--text-color);
  background: var(--bubble-color);
  padding: 1em;
  position: relative;
  border-radius: var(--bubble-corners);
  box-shadow: 0 0 0 var(--border-size) var(--border-color);
}

.speech-bubble.round {
  --bubble-corners: 1em;
}

.speech-bubble.circle {
  --bubble-corners: 100%;
  padding: 2em;
}

.speech-bubble:before,
.speech-bubble:after {
  content: "";
  position: absolute;
  bottom: calc(-1 * var(--arrow-h) * 2 + 0.5px);
  left: 50%;
  border-style: solid;
  border-width: var(--arrow-h) var(--arrow-w);
  border-color: var(--bubble-color) transparent transparent;
}

.speech-bubble:before {
  border-width: calc(var(--arrow-h) + var(--border-size)) calc(var(--arrow-w) + var(--border-size));
  border-color: var(--border-color) transparent transparent;
  bottom: calc(-1 * var(--arrow-h) * 2 - 2.5*var(--border-size));
  left: calc(50% - var(--border-size));
}

.wb-list {
  display: block;
  padding: 0.5em;
  border: 1px solid rgba(0, 0, 0, .26);
  border-radius: 8px;
  text-align: center;
}

.dashboard_button div {
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-position: 50% 50%;
}

.custom-word-banks {
  background: url('https://poem.peraltadesign.com/wp-content/uploads/2025/11/dash-wb.png');
  background-size: cover;
}


.saved-word-banks {
  background: url('https://poem.peraltadesign.com/wp-content/uploads/2025/11/dash-wb.png');
  background-size: cover;
}


.account-settings {
  background: url('https://poem.peraltadesign.com/wp-content/uploads/2025/11/dash-button.png');
  background-size: contain;
}

#capture {
  width: 100%;
  height: 100%
}

#poem_dashboard {
  display: grid;
  grid-gap: 25px;
  grid-template-columns: 1fr 1fr 1fr;
}

.nf-form-content {
  margin-top: 1em !important;
  padding: 2em !important;
  border: 1px solid #cccccc !important;
  border-radius: 8px !important;
  background-color: #FFFFFF !important;
}

.nf-field-label {
  font-family: "inter", sans-serif !important;
  font-weight: 600 !important;
  font-size: 1.5em !important;
}

.ninja-forms-field.nf-element {
  font-family: "inter", sans-serif !important;
  padding-left: 5px !important;
  font-size: 1em !important;
  /* height: 40px !important; */
}

input[type="text"].ninja-forms-field.nf-element,
input[type="password"].ninja-forms-field.nf-element,
input[type="email"].ninja-forms-field.nf-element,
input[type="tel"].ninja-forms-field.nf-element,
select.ninja-forms-field.nf-element {
  height: 40px !important;
}

.ninja-forms-field.nf-element[type="submit"] {
  background-color: #5bc0de !important;
  color: #000000 !important;
  font-size: 1.25em !important;
  font-weight: 600 !important;
  border: none !important;
  padding: 10px 20px !important;
  cursor: pointer !important;
}

.play-button {
  font-family: 'special elite', cursive !important;
  font-size: 18px;
}

.button-style {
  display: flex !important;
  justify-content: center !important;
  align-items: center !important;
}

.button-style a {
  max-height: 20px !important;
  background-color: #1077b5 !important;
  padding: 20px !important;
  color: #000000 !important;
}

.link-blue {
  color: #1077b5 !important;
}

.et_pb_menu_0_tb_header.et_pb_menu ul li.button-style a,
.et_pb_menu_1_tb_header.et_pb_menu ul li.button-style a,
.et_pb_menu_0_tb_header.et_pb_menu ul li.current-menu-item.button-style a,
.et_pb_menu_1_tb_header.et_pb_menu ul li.current-menu-item.button-style a {
  color: #FFFFFF !important;
}

blink-caret animation {
  border-left-color: rgba(0, 0, 0, 0);
  border-right-color: rgba(0, 0, 0, 0);
  border-top-color: rgba(0, 0, 0, 0);
  border-bottom-color: rgba(0, 0, 0, 0);
}

.typewriter {
  overflow: hidden;
  border-right: .15em solid #76cfe2;
  white-space: nowrap;
  margin: 0 auto;
  letter-spacing: .15em;
  animation: typing 3.5s steps(40, end), blink-caret .75s step-end infinite;
}

@keyframes typing {
  from {
    width: 0
  }

  to {
    width: 100%
  }
}

@keyframes blink-caret {

  from,
  to {
    border-color: transparent;
  }

  50% {
    border-color: #76cfe2;
  }
}

.poem_background_left {
  background-image: url(https://poem.peraltadesign.com/wp-content/uploads/2025/11/watermark.jpeg);
  background-position: -10% 90%;
  background-repeat: no-repeat;
  background-size: 20% auto;
}

/* slider styles */

.et_pb_slide_image img {
  max-height: 100% !important;
}

.et_pb_slider .et_pb_slide {
  padding: 0em !important;
}

.et_pb_column_1_2 .et_pb_slide_image {
  margin-top: 0em !important;
}

.et_pb_slides .et_pb_container {
  background: #f7f7f8;
}

/*header styles*/
#main-header {
  background-color: #f7f7f8 !important;
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
}

.panel {
  /* position: absolute; */
  width: 100%;
  /* margin: 1em; */
  box-shadow: 0 0 0.5em #999;
  background-color: #fff;
  background-image: url(app/assets/img/watermark.jpeg);
  background-repeat: no-repeat;
  background-position: center center;
}

/* .block {
  position: relative;
  border: 1px solid rgba(0, 0, 0, 0.1);
  background-color: #95c1ca;
  padding: 10px 10px;
}

.text {
  font-family: 'Special Elite', cursive;
  font-weight: bold;
} */

.logo {
  font-family: 'Special Elite', cursive;
}

#delete {
  position: absolute;
  bottom: 0;
  right: 0;
  height: 10%;
  visibility: hidden;
}

/* Decorations */
.select {
  color: #000;
  padding: 10px 5px;
  margin-right: 5px;
  margin-bottom: 4px;
  margin-top: 2px;
  border: 2px solid white;
  cursor: pointer;
}

.enabled {
  border: 2px solid black;
  filter: brightness(0.6);
}

/* .select:nth-child(5n+1) {
  background: #c8dadc;
}

.select:nth-child(5n+2) {
  background: #fcf8c6;
}

.select:nth-child(5n+3) {
  background: #c2e5df;
}

.select:nth-child(5n+4) {
  background: #76cfe2;
}

.select:nth-child(5n+5) {
  background: #daf0f8;
}
*/
#countdown {
  display: inline-block;
  justify-content: center;
  align-items: center;
  font-family: 'Special Elite', cursive, Arial, sans-serif;
  font-size: 1.25rem;
  color: #222;
  background: #fff;
  font-weight: bold;
  /* border-radius: 12px;
  padding: 20px 40px;
   box-shadow: 0 4px 16px rgba(0, 0, 0, 0.15);*/
  letter-spacing: 0.1em;
  /* margin: 30px auto; */
  width: fit-content;
  /* min-width: 320px; */
}

#countdown span {
  display: inline-block;
  /* min-width: 50px; */
  text-align: center;
}

#countdown .label {
  font-size: 1rem;
  color: #aaa;
  display: block;
  margin-top: 4px;
  letter-spacing: normal;
}


#full-passage {
  font-size: 1.25rem;
  line-height: 1.5;
  color: #212529;
  margin-top: 1rem;
  margin-bottom: 0.5rem;
}

#work-author {
  font-size: 1rem;
  font-style: italic;
}

#word_bank {
  justify-content: center !important;
  margin-top: 2rem;
}

#word_bank h5 {
  display: inline-block;
  font-weight: bold;
  color: #212529;
  font-size: 1.5rem;
}

#word_bank p {
  display: inline-block;
  color: #212529;
  font-size: 1rem;
  text-align: right;
}

#word_bank_container {
  background-color: #FFFFFF;
  flex-shrink: 0;
  width: 100%;
  max-width: 100%;
  border: 1px solid rgba(0, 0, 0, .2);
  border-radius: .3rem;
  outline: 0;
  padding: 0.5rem;
}


#long,
#short {
  flex-wrap: wrap !important;
  flex-direction: row !important;
  display: inline-flex !important;
}

#fridge {
  display: flex !important;
  flex-grow: 1 !important;
  justify-content: center !important;
}

#fridge_container {
  flex: 0 0 auto;
  width: 100%;
}

#word_bank_help {
  cursor: pointer;
  float: right;
}

#magnets {
  display: block;
  min-height: 650px;
  height: 100% !important;
  width: 100%;
  /* box-shadow: 0 0 0.5em #999; */
  border: 1px solid rgba(0, 0, 0, .2);
  border-radius: .3rem;
  background-color: #fff;
  background-image: url(app/assets/img/poem-logo.webp);
  background-repeat: no-repeat;
  background-position: center center;
  position: relative;
}

#play_instructions {
  border: 1px solid rgba(0, 0, 0, .2);
  border-radius: .3rem;
  background-color: #fff;
  padding: 1em;
}

#magnet_instructions {
  background-color: transparent;
  padding: 1em;
}

#magnet_instructions p {
  font-size: 18px;
}

#social_div {
  margin-top: 2em;
  text-align: center;
  font-family: "inter", sans-serif;
  font-size: 18px;
}

.text.select,
.block {
  font-size: 1rem;
  font-family: 'Special Elite', cursive;
  font-weight: bold;
  line-height: 1.5;
  color: #212529;
  letter-spacing: 1px;
  cursor: pointer;
}

.text.select {

  font-size: 1.15rem;
}


.divi-area-todays-passage {
  border-radius: calc(.3rem - 1px);
}

.et_divi_builder #et-boc .area-outer-wrap[data-da-color=light] .da-close,
.area-outer-wrap[data-da-color=light] .da-close {
  font-size: 3.5rem;
  margin: 0.25em 0.25em 0em 0em;
  font-weight: 400;
}

#next-challenge {
  display: inline-block;
  font-weight: bold;
}

.divi-area-todays-passage .et_pb_section .et_pb_row .et_pb_column .et_pb_button_module_wrapper {
  display: inline-block;
}

#word_bank p a {
  font-weight: bold;
  font-size: 1.5rem;
}

#style_bar {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
  margin-top: 1rem;
  margin-bottom: 1rem;
  text-align: left;
  border: 1px solid rgba(0, 0, 0, .2);
  border-radius: .3rem;
  outline: 0;
  padding: 1rem;
  background-color: #FFFFFF;
  grid-row-gap: 1rem;

}

#style_bar>div {
  display: flex;
  align-items: center;
  flex-wrap: nowrap;
}

#style_bar div input {
  border: 1px solid #333 !important;
  border-radius: 4px !important;
}

#control_bar {
  display: grid;
  grid-template-columns: 1fr 1fr;
  margin-top: 1rem;
  margin-bottom: 1rem;
  align-items: center;
  justify-items: start;
  grid-gap: 1rem;
}

#control_bar div,
#control_bar div a {
  width: 100%;
  height: 100%;
  text-align: center;
  align-content: center;
}

.et-social-icons li a {
  color: #FFF !important;
}


#style_bar label {
  font-weight: bold;
  margin-right: 0.5rem;
  font-size: 16px;
}

input[type="number"] {
  -webkit-appearance: none;
  /* Helps iOS render it consistently */
  position: relative;
  z-index: 999;
  cursor: pointer;
}

input[type="color"] {
  -webkit-appearance: auto;
  appearance: auto;
  cursor: pointer;
}


@media screen and (min-width: 981px) {
  #et-boc .area-outer-wrap[data-da-type=popup] {
    width: 90%;
  }
}

/* @keyframes rotate-block-color-1 {

  0% {
    background-color: #c8dadc;
  }

  20% {
    background-color: #fcf8c6;
  }

  40% {
    background-color: #c2e5df;
  }

  60% {
    background-color: #76cfe2;
  }

  80% {
    background-color: #daf0f8;
  }

  100% {
    background-color: #c8dadc;
  }

}

@keyframes rotate-block-color-2 {

  0% {
    background-color: #fcf8c6;
  }

  20% {
    background-color: #c2e5df;
  }

  40% {
    background-color: #76cfe2;
  }

  60% {
    background-color: #daf0f8;
  }

  80% {
    background-color: #c8dadc;
  }

  100% {
    background-color: #fcf8c6;
  }

}

@keyframes rotate-block-color-3 {

  0% {
    background-color: #c2e5df;
  }

  20% {
    background-color: #76cfe2;
  }

  40% {
    background-color: #daf0f8;
  }

  60% {
    background-color: #c8dadc;
  }

  80% {
    background-color: #fcf8c6;
  }

  100% {
    background-color: #c2e5df;
  }

}

@keyframes rotate-block-color-4 {

  0% {
    background-color: #76cfe2;
  }

  20% {
    background-color: #daf0f8;
  }

  40% {
    background-color: #c8dadc;
  }

  60% {
    background-color: #fcf8c6;
  }

  80% {
    background-color: #c2e5df;
  }

  100% {
    background-color: #76cfe2;
  }

}

@keyframes rotate-block-color-5 {

  0% {
    background-color: #daf0f8;
  }

  20% {
    background-color: #c8dadc;
  }

  40% {
    background-color: #fcf8c6;
  }

  60% {
    background-color: #c2e5df;
  }

  80% {
    background-color: #76cfe2;
  }

  100% {
    background-color: #daf0f8;
  }

} */

@media print {

  header,
  footer {
    display: none !important;
  }

  #work_bank_container {
    border: none !important;
  }

  .no-print {
    display: none !important;
  }
}

@media screen and (max-width: 768px) {

  li.button-style a {
    max-height: 60px !important;
  }

  li.button-style {
    justify-content: left !important;
  }

  .et_pb_team_member_image {
    margin: 0em auto;
  }

  #play-block {
    margin-bottom: 2rem;
  }

  body a.small-button.mobile {
    display: block !important;
  }

  #logout-block {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1em;
  }

  #logout-block a {
    width: 100%;
    text-align: center;
  }

  #control_bar {
    grid-template-columns: 1fr;
  }

  #style_bar {
    grid-template-columns: 1fr;
  }

  #style_bar div {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: nowrap;
  }

  .popup-mobile,
  .divi-area-todays-passage .popup-mobile {
    width: 90% !important;
  }

  #poem_dashboard,
  #word_bank_list {
    grid-template-columns: 1fr;
  }

  .word_bank_item {
    grid-template-columns: 1fr;
  }

}